| Kea 3.0.2-git

logger.h File Reference
`#include <atomic>`
`#include <cstdlib>`
`#include <cstring>`
`#include <mutex>`
`#include <string>`
`#include <exceptions/exceptions.h>`
`#include <log/logger_level.h>`
`#include <log/message_types.h>`
`#include <log/log_formatter.h>`
`#include <log/output_option.h>`
Include dependency graph for log/logger.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::log::BadInterprocessSync
| Bad Interprocess Sync. More...
class | isc::log::Logger
| Logger Class. More...
class | isc::log::LoggerNameError
| Logger Name Error. More...
class | isc::log::LoggerNameNull
| Logger Name is null. More...
class | isc::log::LoggingNotInitialized
| Logging Not Initialized. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::log
namespace | isc::log::interprocess